# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _core

def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name) or (name == "thisown"):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


SVN_ERR_CATEGORY_SIZE = _core.SVN_ERR_CATEGORY_SIZE
SVN_WARNING = _core.SVN_WARNING
SVN_ERR_BAD_CONTAINING_POOL = _core.SVN_ERR_BAD_CONTAINING_POOL
SVN_ERR_BAD_FILENAME = _core.SVN_ERR_BAD_FILENAME
SVN_ERR_BAD_URL = _core.SVN_ERR_BAD_URL
SVN_ERR_BAD_DATE = _core.SVN_ERR_BAD_DATE
SVN_ERR_BAD_MIME_TYPE = _core.SVN_ERR_BAD_MIME_TYPE
SVN_ERR_BAD_VERSION_FILE_FORMAT = _core.SVN_ERR_BAD_VERSION_FILE_FORMAT
SVN_ERR_XML_ATTRIB_NOT_FOUND = _core.SVN_ERR_XML_ATTRIB_NOT_FOUND
SVN_ERR_XML_MISSING_ANCESTRY = _core.SVN_ERR_XML_MISSING_ANCESTRY
SVN_ERR_XML_UNKNOWN_ENCODING = _core.SVN_ERR_XML_UNKNOWN_ENCODING
SVN_ERR_XML_MALFORMED = _core.SVN_ERR_XML_MALFORMED
SVN_ERR_XML_UNESCAPABLE_DATA = _core.SVN_ERR_XML_UNESCAPABLE_DATA
SVN_ERR_IO_INCONSISTENT_EOL = _core.SVN_ERR_IO_INCONSISTENT_EOL
SVN_ERR_IO_UNKNOWN_EOL = _core.SVN_ERR_IO_UNKNOWN_EOL
SVN_ERR_IO_CORRUPT_EOL = _core.SVN_ERR_IO_CORRUPT_EOL
SVN_ERR_IO_UNIQUE_NAMES_EXHAUSTED = _core.SVN_ERR_IO_UNIQUE_NAMES_EXHAUSTED
SVN_ERR_IO_PIPE_FRAME_ERROR = _core.SVN_ERR_IO_PIPE_FRAME_ERROR
SVN_ERR_IO_PIPE_READ_ERROR = _core.SVN_ERR_IO_PIPE_READ_ERROR
SVN_ERR_IO_WRITE_ERROR = _core.SVN_ERR_IO_WRITE_ERROR
SVN_ERR_STREAM_UNEXPECTED_EOF = _core.SVN_ERR_STREAM_UNEXPECTED_EOF
SVN_ERR_STREAM_MALFORMED_DATA = _core.SVN_ERR_STREAM_MALFORMED_DATA
SVN_ERR_STREAM_UNRECOGNIZED_DATA = _core.SVN_ERR_STREAM_UNRECOGNIZED_DATA
SVN_ERR_NODE_UNKNOWN_KIND = _core.SVN_ERR_NODE_UNKNOWN_KIND
SVN_ERR_NODE_UNEXPECTED_KIND = _core.SVN_ERR_NODE_UNEXPECTED_KIND
SVN_ERR_ENTRY_NOT_FOUND = _core.SVN_ERR_ENTRY_NOT_FOUND
SVN_ERR_ENTRY_EXISTS = _core.SVN_ERR_ENTRY_EXISTS
SVN_ERR_ENTRY_MISSING_REVISION = _core.SVN_ERR_ENTRY_MISSING_REVISION
SVN_ERR_ENTRY_MISSING_URL = _core.SVN_ERR_ENTRY_MISSING_URL
SVN_ERR_ENTRY_ATTRIBUTE_INVALID = _core.SVN_ERR_ENTRY_ATTRIBUTE_INVALID
SVN_ERR_WC_OBSTRUCTED_UPDATE = _core.SVN_ERR_WC_OBSTRUCTED_UPDATE
SVN_ERR_WC_UNWIND_MISMATCH = _core.SVN_ERR_WC_UNWIND_MISMATCH
SVN_ERR_WC_UNWIND_EMPTY = _core.SVN_ERR_WC_UNWIND_EMPTY
SVN_ERR_WC_UNWIND_NOT_EMPTY = _core.SVN_ERR_WC_UNWIND_NOT_EMPTY
SVN_ERR_WC_LOCKED = _core.SVN_ERR_WC_LOCKED
SVN_ERR_WC_NOT_LOCKED = _core.SVN_ERR_WC_NOT_LOCKED
SVN_ERR_WC_INVALID_LOCK = _core.SVN_ERR_WC_INVALID_LOCK
SVN_ERR_WC_NOT_DIRECTORY = _core.SVN_ERR_WC_NOT_DIRECTORY
SVN_ERR_WC_NOT_FILE = _core.SVN_ERR_WC_NOT_FILE
SVN_ERR_WC_BAD_ADM_LOG = _core.SVN_ERR_WC_BAD_ADM_LOG
SVN_ERR_WC_PATH_NOT_FOUND = _core.SVN_ERR_WC_PATH_NOT_FOUND
SVN_ERR_WC_NOT_UP_TO_DATE = _core.SVN_ERR_WC_NOT_UP_TO_DATE
SVN_ERR_WC_LEFT_LOCAL_MOD = _core.SVN_ERR_WC_LEFT_LOCAL_MOD
SVN_ERR_WC_SCHEDULE_CONFLICT = _core.SVN_ERR_WC_SCHEDULE_CONFLICT
SVN_ERR_WC_PATH_FOUND = _core.SVN_ERR_WC_PATH_FOUND
SVN_ERR_WC_FOUND_CONFLICT = _core.SVN_ERR_WC_FOUND_CONFLICT
SVN_ERR_WC_CORRUPT = _core.SVN_ERR_WC_CORRUPT
SVN_ERR_WC_CORRUPT_TEXT_BASE = _core.SVN_ERR_WC_CORRUPT_TEXT_BASE
SVN_ERR_WC_NODE_KIND_CHANGE = _core.SVN_ERR_WC_NODE_KIND_CHANGE
SVN_ERR_WC_INVALID_OP_ON_CWD = _core.SVN_ERR_WC_INVALID_OP_ON_CWD
SVN_ERR_WC_BAD_ADM_LOG_START = _core.SVN_ERR_WC_BAD_ADM_LOG_START
SVN_ERR_WC_UNSUPPORTED_FORMAT = _core.SVN_ERR_WC_UNSUPPORTED_FORMAT
SVN_ERR_WC_BAD_PATH = _core.SVN_ERR_WC_BAD_PATH
SVN_ERR_WC_INVALID_SCHEDULE = _core.SVN_ERR_WC_INVALID_SCHEDULE
SVN_ERR_FS_GENERAL = _core.SVN_ERR_FS_GENERAL
SVN_ERR_FS_CLEANUP = _core.SVN_ERR_FS_CLEANUP
SVN_ERR_FS_ALREADY_OPEN = _core.SVN_ERR_FS_ALREADY_OPEN
SVN_ERR_FS_NOT_OPEN = _core.SVN_ERR_FS_NOT_OPEN
SVN_ERR_FS_CORRUPT = _core.SVN_ERR_FS_CORRUPT
SVN_ERR_FS_PATH_SYNTAX = _core.SVN_ERR_FS_PATH_SYNTAX
SVN_ERR_FS_NO_SUCH_REVISION = _core.SVN_ERR_FS_NO_SUCH_REVISION
SVN_ERR_FS_NO_SUCH_TRANSACTION = _core.SVN_ERR_FS_NO_SUCH_TRANSACTION
SVN_ERR_FS_NO_SUCH_ENTRY = _core.SVN_ERR_FS_NO_SUCH_ENTRY
SVN_ERR_FS_NO_SUCH_REPRESENTATION = _core.SVN_ERR_FS_NO_SUCH_REPRESENTATION
SVN_ERR_FS_NO_SUCH_STRING = _core.SVN_ERR_FS_NO_SUCH_STRING
SVN_ERR_FS_NO_SUCH_COPY = _core.SVN_ERR_FS_NO_SUCH_COPY
SVN_ERR_FS_TRANSACTION_NOT_MUTABLE = _core.SVN_ERR_FS_TRANSACTION_NOT_MUTABLE
SVN_ERR_FS_NOT_FOUND = _core.SVN_ERR_FS_NOT_FOUND
SVN_ERR_FS_ID_NOT_FOUND = _core.SVN_ERR_FS_ID_NOT_FOUND
SVN_ERR_FS_NOT_ID = _core.SVN_ERR_FS_NOT_ID
SVN_ERR_FS_NOT_DIRECTORY = _core.SVN_ERR_FS_NOT_DIRECTORY
SVN_ERR_FS_NOT_FILE = _core.SVN_ERR_FS_NOT_FILE
SVN_ERR_FS_NOT_SINGLE_PATH_COMPONENT = _core.SVN_ERR_FS_NOT_SINGLE_PATH_COMPONENT
SVN_ERR_FS_NOT_MUTABLE = _core.SVN_ERR_FS_NOT_MUTABLE
SVN_ERR_FS_ALREADY_EXISTS = _core.SVN_ERR_FS_ALREADY_EXISTS
SVN_ERR_FS_ROOT_DIR = _core.SVN_ERR_FS_ROOT_DIR
SVN_ERR_FS_NOT_TXN_ROOT = _core.SVN_ERR_FS_NOT_TXN_ROOT
SVN_ERR_FS_NOT_REVISION_ROOT = _core.SVN_ERR_FS_NOT_REVISION_ROOT
SVN_ERR_FS_CONFLICT = _core.SVN_ERR_FS_CONFLICT
SVN_ERR_FS_REP_CHANGED = _core.SVN_ERR_FS_REP_CHANGED
SVN_ERR_FS_REP_NOT_MUTABLE = _core.SVN_ERR_FS_REP_NOT_MUTABLE
SVN_ERR_FS_MALFORMED_SKEL = _core.SVN_ERR_FS_MALFORMED_SKEL
SVN_ERR_FS_TXN_OUT_OF_DATE = _core.SVN_ERR_FS_TXN_OUT_OF_DATE
SVN_ERR_FS_BERKELEY_DB = _core.SVN_ERR_FS_BERKELEY_DB
SVN_ERR_FS_BERKELEY_DB_DEADLOCK = _core.SVN_ERR_FS_BERKELEY_DB_DEADLOCK
SVN_ERR_FS_TRANSACTION_DEAD = _core.SVN_ERR_FS_TRANSACTION_DEAD
SVN_ERR_FS_TRANSACTION_NOT_DEAD = _core.SVN_ERR_FS_TRANSACTION_NOT_DEAD
SVN_ERR_FS_UNKNOWN_FS_TYPE = _core.SVN_ERR_FS_UNKNOWN_FS_TYPE
SVN_ERR_FS_NO_USER = _core.SVN_ERR_FS_NO_USER
SVN_ERR_FS_PATH_ALREADY_LOCKED = _core.SVN_ERR_FS_PATH_ALREADY_LOCKED
SVN_ERR_FS_PATH_NOT_LOCKED = _core.SVN_ERR_FS_PATH_NOT_LOCKED
SVN_ERR_FS_BAD_LOCK_TOKEN = _core.SVN_ERR_FS_BAD_LOCK_TOKEN
SVN_ERR_FS_NO_LOCK_TOKEN = _core.SVN_ERR_FS_NO_LOCK_TOKEN
SVN_ERR_FS_LOCK_OWNER_MISMATCH = _core.SVN_ERR_FS_LOCK_OWNER_MISMATCH
SVN_ERR_FS_NO_SUCH_LOCK = _core.SVN_ERR_FS_NO_SUCH_LOCK
SVN_ERR_FS_LOCK_EXPIRED = _core.SVN_ERR_FS_LOCK_EXPIRED
SVN_ERR_FS_OUT_OF_DATE = _core.SVN_ERR_FS_OUT_OF_DATE
SVN_ERR_FS_UNSUPPORTED_FORMAT = _core.SVN_ERR_FS_UNSUPPORTED_FORMAT
SVN_ERR_REPOS_LOCKED = _core.SVN_ERR_REPOS_LOCKED
SVN_ERR_REPOS_HOOK_FAILURE = _core.SVN_ERR_REPOS_HOOK_FAILURE
SVN_ERR_REPOS_BAD_ARGS = _core.SVN_ERR_REPOS_BAD_ARGS
SVN_ERR_REPOS_NO_DATA_FOR_REPORT = _core.SVN_ERR_REPOS_NO_DATA_FOR_REPORT
SVN_ERR_REPOS_BAD_REVISION_REPORT = _core.SVN_ERR_REPOS_BAD_REVISION_REPORT
SVN_ERR_REPOS_UNSUPPORTED_VERSION = _core.SVN_ERR_REPOS_UNSUPPORTED_VERSION
SVN_ERR_REPOS_DISABLED_FEATURE = _core.SVN_ERR_REPOS_DISABLED_FEATURE
SVN_ERR_REPOS_POST_COMMIT_HOOK_FAILED = _core.SVN_ERR_REPOS_POST_COMMIT_HOOK_FAILED
SVN_ERR_REPOS_POST_LOCK_HOOK_FAILED = _core.SVN_ERR_REPOS_POST_LOCK_HOOK_FAILED
SVN_ERR_REPOS_POST_UNLOCK_HOOK_FAILED = _core.SVN_ERR_REPOS_POST_UNLOCK_HOOK_FAILED
SVN_ERR_RA_ILLEGAL_URL = _core.SVN_ERR_RA_ILLEGAL_URL
SVN_ERR_RA_NOT_AUTHORIZED = _core.SVN_ERR_RA_NOT_AUTHORIZED
SVN_ERR_RA_UNKNOWN_AUTH = _core.SVN_ERR_RA_UNKNOWN_AUTH
SVN_ERR_RA_NOT_IMPLEMENTED = _core.SVN_ERR_RA_NOT_IMPLEMENTED
SVN_ERR_RA_OUT_OF_DATE = _core.SVN_ERR_RA_OUT_OF_DATE
SVN_ERR_RA_NO_REPOS_UUID = _core.SVN_ERR_RA_NO_REPOS_UUID
SVN_ERR_RA_UNSUPPORTED_ABI_VERSION = _core.SVN_ERR_RA_UNSUPPORTED_ABI_VERSION
SVN_ERR_RA_NOT_LOCKED = _core.SVN_ERR_RA_NOT_LOCKED
SVN_ERR_RA_DAV_SOCK_INIT = _core.SVN_ERR_RA_DAV_SOCK_INIT
SVN_ERR_RA_DAV_CREATING_REQUEST = _core.SVN_ERR_RA_DAV_CREATING_REQUEST
SVN_ERR_RA_DAV_REQUEST_FAILED = _core.SVN_ERR_RA_DAV_REQUEST_FAILED
SVN_ERR_RA_DAV_OPTIONS_REQ_FAILED = _core.SVN_ERR_RA_DAV_OPTIONS_REQ_FAILED
SVN_ERR_RA_DAV_PROPS_NOT_FOUND = _core.SVN_ERR_RA_DAV_PROPS_NOT_FOUND
SVN_ERR_RA_DAV_ALREADY_EXISTS = _core.SVN_ERR_RA_DAV_ALREADY_EXISTS
SVN_ERR_RA_DAV_INVALID_CONFIG_VALUE = _core.SVN_ERR_RA_DAV_INVALID_CONFIG_VALUE
SVN_ERR_RA_DAV_PATH_NOT_FOUND = _core.SVN_ERR_RA_DAV_PATH_NOT_FOUND
SVN_ERR_RA_DAV_PROPPATCH_FAILED = _core.SVN_ERR_RA_DAV_PROPPATCH_FAILED
SVN_ERR_RA_DAV_MALFORMED_DATA = _core.SVN_ERR_RA_DAV_MALFORMED_DATA
SVN_ERR_RA_LOCAL_REPOS_NOT_FOUND = _core.SVN_ERR_RA_LOCAL_REPOS_NOT_FOUND
SVN_ERR_RA_LOCAL_REPOS_OPEN_FAILED = _core.SVN_ERR_RA_LOCAL_REPOS_OPEN_FAILED
SVN_ERR_RA_SVN_CMD_ERR = _core.SVN_ERR_RA_SVN_CMD_ERR
SVN_ERR_RA_SVN_UNKNOWN_CMD = _core.SVN_ERR_RA_SVN_UNKNOWN_CMD
SVN_ERR_RA_SVN_CONNECTION_CLOSED = _core.SVN_ERR_RA_SVN_CONNECTION_CLOSED
SVN_ERR_RA_SVN_IO_ERROR = _core.SVN_ERR_RA_SVN_IO_ERROR
SVN_ERR_RA_SVN_MALFORMED_DATA = _core.SVN_ERR_RA_SVN_MALFORMED_DATA
SVN_ERR_RA_SVN_REPOS_NOT_FOUND = _core.SVN_ERR_RA_SVN_REPOS_NOT_FOUND
SVN_ERR_RA_SVN_BAD_VERSION = _core.SVN_ERR_RA_SVN_BAD_VERSION
SVN_ERR_AUTHN_CREDS_UNAVAILABLE = _core.SVN_ERR_AUTHN_CREDS_UNAVAILABLE
SVN_ERR_AUTHN_NO_PROVIDER = _core.SVN_ERR_AUTHN_NO_PROVIDER
SVN_ERR_AUTHN_PROVIDERS_EXHAUSTED = _core.SVN_ERR_AUTHN_PROVIDERS_EXHAUSTED
SVN_ERR_AUTHN_CREDS_NOT_SAVED = _core.SVN_ERR_AUTHN_CREDS_NOT_SAVED
SVN_ERR_AUTHZ_ROOT_UNREADABLE = _core.SVN_ERR_AUTHZ_ROOT_UNREADABLE
SVN_ERR_AUTHZ_UNREADABLE = _core.SVN_ERR_AUTHZ_UNREADABLE
SVN_ERR_AUTHZ_PARTIALLY_READABLE = _core.SVN_ERR_AUTHZ_PARTIALLY_READABLE
SVN_ERR_SVNDIFF_INVALID_HEADER = _core.SVN_ERR_SVNDIFF_INVALID_HEADER
SVN_ERR_SVNDIFF_CORRUPT_WINDOW = _core.SVN_ERR_SVNDIFF_CORRUPT_WINDOW
SVN_ERR_SVNDIFF_BACKWARD_VIEW = _core.SVN_ERR_SVNDIFF_BACKWARD_VIEW
SVN_ERR_SVNDIFF_INVALID_OPS = _core.SVN_ERR_SVNDIFF_INVALID_OPS
SVN_ERR_SVNDIFF_UNEXPECTED_END = _core.SVN_ERR_SVNDIFF_UNEXPECTED_END
SVN_ERR_APMOD_MISSING_PATH_TO_FS = _core.SVN_ERR_APMOD_MISSING_PATH_TO_FS
SVN_ERR_APMOD_MALFORMED_URI = _core.SVN_ERR_APMOD_MALFORMED_URI
SVN_ERR_APMOD_ACTIVITY_NOT_FOUND = _core.SVN_ERR_APMOD_ACTIVITY_NOT_FOUND
SVN_ERR_APMOD_BAD_BASELINE = _core.SVN_ERR_APMOD_BAD_BASELINE
SVN_ERR_APMOD_CONNECTION_ABORTED = _core.SVN_ERR_APMOD_CONNECTION_ABORTED
SVN_ERR_CLIENT_VERSIONED_PATH_REQUIRED = _core.SVN_ERR_CLIENT_VERSIONED_PATH_REQUIRED
SVN_ERR_CLIENT_RA_ACCESS_REQUIRED = _core.SVN_ERR_CLIENT_RA_ACCESS_REQUIRED
SVN_ERR_CLIENT_BAD_REVISION = _core.SVN_ERR_CLIENT_BAD_REVISION
SVN_ERR_CLIENT_DUPLICATE_COMMIT_URL = _core.SVN_ERR_CLIENT_DUPLICATE_COMMIT_URL
SVN_ERR_CLIENT_IS_BINARY_FILE = _core.SVN_ERR_CLIENT_IS_BINARY_FILE
SVN_ERR_CLIENT_INVALID_EXTERNALS_DESCRIPTION = _core.SVN_ERR_CLIENT_INVALID_EXTERNALS_DESCRIPTION
SVN_ERR_CLIENT_MODIFIED = _core.SVN_ERR_CLIENT_MODIFIED
SVN_ERR_CLIENT_IS_DIRECTORY = _core.SVN_ERR_CLIENT_IS_DIRECTORY
SVN_ERR_CLIENT_REVISION_RANGE = _core.SVN_ERR_CLIENT_REVISION_RANGE
SVN_ERR_CLIENT_INVALID_RELOCATION = _core.SVN_ERR_CLIENT_INVALID_RELOCATION
SVN_ERR_CLIENT_REVISION_AUTHOR_CONTAINS_NEWLINE = _core.SVN_ERR_CLIENT_REVISION_AUTHOR_CONTAINS_NEWLINE
SVN_ERR_CLIENT_PROPERTY_NAME = _core.SVN_ERR_CLIENT_PROPERTY_NAME
SVN_ERR_CLIENT_UNRELATED_RESOURCES = _core.SVN_ERR_CLIENT_UNRELATED_RESOURCES
SVN_ERR_CLIENT_MISSING_LOCK_TOKEN = _core.SVN_ERR_CLIENT_MISSING_LOCK_TOKEN
SVN_ERR_BASE = _core.SVN_ERR_BASE
SVN_ERR_PLUGIN_LOAD_FAILURE = _core.SVN_ERR_PLUGIN_LOAD_FAILURE
SVN_ERR_MALFORMED_FILE = _core.SVN_ERR_MALFORMED_FILE
SVN_ERR_INCOMPLETE_DATA = _core.SVN_ERR_INCOMPLETE_DATA
SVN_ERR_INCORRECT_PARAMS = _core.SVN_ERR_INCORRECT_PARAMS
SVN_ERR_UNVERSIONED_RESOURCE = _core.SVN_ERR_UNVERSIONED_RESOURCE
SVN_ERR_TEST_FAILED = _core.SVN_ERR_TEST_FAILED
SVN_ERR_UNSUPPORTED_FEATURE = _core.SVN_ERR_UNSUPPORTED_FEATURE
SVN_ERR_BAD_PROP_KIND = _core.SVN_ERR_BAD_PROP_KIND
SVN_ERR_ILLEGAL_TARGET = _core.SVN_ERR_ILLEGAL_TARGET
SVN_ERR_DELTA_MD5_CHECKSUM_ABSENT = _core.SVN_ERR_DELTA_MD5_CHECKSUM_ABSENT
SVN_ERR_DIR_NOT_EMPTY = _core.SVN_ERR_DIR_NOT_EMPTY
SVN_ERR_EXTERNAL_PROGRAM = _core.SVN_ERR_EXTERNAL_PROGRAM
SVN_ERR_SWIG_PY_EXCEPTION_SET = _core.SVN_ERR_SWIG_PY_EXCEPTION_SET
SVN_ERR_CHECKSUM_MISMATCH = _core.SVN_ERR_CHECKSUM_MISMATCH
SVN_ERR_CANCELLED = _core.SVN_ERR_CANCELLED
SVN_ERR_INVALID_DIFF_OPTION = _core.SVN_ERR_INVALID_DIFF_OPTION
SVN_ERR_PROPERTY_NOT_FOUND = _core.SVN_ERR_PROPERTY_NOT_FOUND
SVN_ERR_NO_AUTH_FILE_PATH = _core.SVN_ERR_NO_AUTH_FILE_PATH
SVN_ERR_VERSION_MISMATCH = _core.SVN_ERR_VERSION_MISMATCH
SVN_ERR_CL_ARG_PARSING_ERROR = _core.SVN_ERR_CL_ARG_PARSING_ERROR
SVN_ERR_CL_INSUFFICIENT_ARGS = _core.SVN_ERR_CL_INSUFFICIENT_ARGS
SVN_ERR_CL_MUTUALLY_EXCLUSIVE_ARGS = _core.SVN_ERR_CL_MUTUALLY_EXCLUSIVE_ARGS
SVN_ERR_CL_ADM_DIR_RESERVED = _core.SVN_ERR_CL_ADM_DIR_RESERVED
SVN_ERR_CL_LOG_MESSAGE_IS_VERSIONED_FILE = _core.SVN_ERR_CL_LOG_MESSAGE_IS_VERSIONED_FILE
SVN_ERR_CL_LOG_MESSAGE_IS_PATHNAME = _core.SVN_ERR_CL_LOG_MESSAGE_IS_PATHNAME
SVN_ERR_CL_COMMIT_IN_ADDED_DIR = _core.SVN_ERR_CL_COMMIT_IN_ADDED_DIR
SVN_ERR_CL_NO_EXTERNAL_EDITOR = _core.SVN_ERR_CL_NO_EXTERNAL_EDITOR
SVN_ERR_CL_BAD_LOG_MESSAGE = _core.SVN_ERR_CL_BAD_LOG_MESSAGE
SVN_ERR_LAST = _core.SVN_ERR_LAST
class svn_error_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_error_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_error_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_error_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["apr_err"] = _core.svn_error_t_apr_err_set
    __swig_getmethods__["apr_err"] = _core.svn_error_t_apr_err_get
    if _newclass:apr_err = property(_core.svn_error_t_apr_err_get, _core.svn_error_t_apr_err_set)
    __swig_getmethods__["message"] = _core.svn_error_t_message_get
    if _newclass:message = property(_core.svn_error_t_message_get)
    __swig_setmethods__["child"] = _core.svn_error_t_child_set
    __swig_getmethods__["child"] = _core.svn_error_t_child_get
    if _newclass:child = property(_core.svn_error_t_child_get, _core.svn_error_t_child_set)
    __swig_setmethods__["pool"] = _core.svn_error_t_pool_set
    __swig_getmethods__["pool"] = _core.svn_error_t_pool_get
    if _newclass:pool = property(_core.svn_error_t_pool_get, _core.svn_error_t_pool_set)
    __swig_getmethods__["file"] = _core.svn_error_t_file_get
    if _newclass:file = property(_core.svn_error_t_file_get)
    __swig_setmethods__["line"] = _core.svn_error_t_line_set
    __swig_getmethods__["line"] = _core.svn_error_t_line_get
    if _newclass:line = property(_core.svn_error_t_line_get, _core.svn_error_t_line_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_error_t, 'this', _core.new_svn_error_t(*args))
        _swig_setattr(self, svn_error_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_error_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_error_tPtr(svn_error_t):
    def __init__(self, this):
        _swig_setattr(self, svn_error_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_error_t, 'thisown', 0)
        _swig_setattr(self, svn_error_t,self.__class__,svn_error_t)
_core.svn_error_t_swigregister(svn_error_tPtr)

svn_node_none = _core.svn_node_none
svn_node_file = _core.svn_node_file
svn_node_dir = _core.svn_node_dir
svn_node_unknown = _core.svn_node_unknown
SVN_REVNUM_T_FMT = _core.SVN_REVNUM_T_FMT
SVN_FILESIZE_T_FMT = _core.SVN_FILESIZE_T_FMT
TRUE = _core.TRUE
FALSE = _core.FALSE
svn_nonrecursive = _core.svn_nonrecursive
svn_recursive = _core.svn_recursive
class svn_dirent_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_dirent_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_dirent_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_dirent_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["kind"] = _core.svn_dirent_t_kind_set
    __swig_getmethods__["kind"] = _core.svn_dirent_t_kind_get
    if _newclass:kind = property(_core.svn_dirent_t_kind_get, _core.svn_dirent_t_kind_set)
    __swig_setmethods__["size"] = _core.svn_dirent_t_size_set
    __swig_getmethods__["size"] = _core.svn_dirent_t_size_get
    if _newclass:size = property(_core.svn_dirent_t_size_get, _core.svn_dirent_t_size_set)
    __swig_setmethods__["has_props"] = _core.svn_dirent_t_has_props_set
    __swig_getmethods__["has_props"] = _core.svn_dirent_t_has_props_get
    if _newclass:has_props = property(_core.svn_dirent_t_has_props_get, _core.svn_dirent_t_has_props_set)
    __swig_setmethods__["created_rev"] = _core.svn_dirent_t_created_rev_set
    __swig_getmethods__["created_rev"] = _core.svn_dirent_t_created_rev_get
    if _newclass:created_rev = property(_core.svn_dirent_t_created_rev_get, _core.svn_dirent_t_created_rev_set)
    __swig_setmethods__["time"] = _core.svn_dirent_t_time_set
    __swig_getmethods__["time"] = _core.svn_dirent_t_time_get
    if _newclass:time = property(_core.svn_dirent_t_time_get, _core.svn_dirent_t_time_set)
    __swig_getmethods__["last_author"] = _core.svn_dirent_t_last_author_get
    if _newclass:last_author = property(_core.svn_dirent_t_last_author_get)
    def __init__(self, *args):
        _swig_setattr(self, svn_dirent_t, 'this', _core.new_svn_dirent_t(*args))
        _swig_setattr(self, svn_dirent_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_dirent_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_dirent_tPtr(svn_dirent_t):
    def __init__(self, this):
        _swig_setattr(self, svn_dirent_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_dirent_t, 'thisown', 0)
        _swig_setattr(self, svn_dirent_t,self.__class__,svn_dirent_t)
_core.svn_dirent_t_swigregister(svn_dirent_tPtr)

SVN_KEYWORD_MAX_LEN = _core.SVN_KEYWORD_MAX_LEN
SVN_KEYWORD_REVISION_LONG = _core.SVN_KEYWORD_REVISION_LONG
SVN_KEYWORD_REVISION_SHORT = _core.SVN_KEYWORD_REVISION_SHORT
SVN_KEYWORD_REVISION_MEDIUM = _core.SVN_KEYWORD_REVISION_MEDIUM
SVN_KEYWORD_DATE_LONG = _core.SVN_KEYWORD_DATE_LONG
SVN_KEYWORD_DATE_SHORT = _core.SVN_KEYWORD_DATE_SHORT
SVN_KEYWORD_AUTHOR_LONG = _core.SVN_KEYWORD_AUTHOR_LONG
SVN_KEYWORD_AUTHOR_SHORT = _core.SVN_KEYWORD_AUTHOR_SHORT
SVN_KEYWORD_URL_LONG = _core.SVN_KEYWORD_URL_LONG
SVN_KEYWORD_URL_SHORT = _core.SVN_KEYWORD_URL_SHORT
SVN_KEYWORD_ID = _core.SVN_KEYWORD_ID
class svn_log_changed_path_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_log_changed_path_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_log_changed_path_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_log_changed_path_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["action"] = _core.svn_log_changed_path_t_action_set
    __swig_getmethods__["action"] = _core.svn_log_changed_path_t_action_get
    if _newclass:action = property(_core.svn_log_changed_path_t_action_get, _core.svn_log_changed_path_t_action_set)
    __swig_getmethods__["copyfrom_path"] = _core.svn_log_changed_path_t_copyfrom_path_get
    if _newclass:copyfrom_path = property(_core.svn_log_changed_path_t_copyfrom_path_get)
    __swig_setmethods__["copyfrom_rev"] = _core.svn_log_changed_path_t_copyfrom_rev_set
    __swig_getmethods__["copyfrom_rev"] = _core.svn_log_changed_path_t_copyfrom_rev_get
    if _newclass:copyfrom_rev = property(_core.svn_log_changed_path_t_copyfrom_rev_get, _core.svn_log_changed_path_t_copyfrom_rev_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_log_changed_path_t, 'this', _core.new_svn_log_changed_path_t(*args))
        _swig_setattr(self, svn_log_changed_path_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_log_changed_path_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_log_changed_path_tPtr(svn_log_changed_path_t):
    def __init__(self, this):
        _swig_setattr(self, svn_log_changed_path_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_log_changed_path_t, 'thisown', 0)
        _swig_setattr(self, svn_log_changed_path_t,self.__class__,svn_log_changed_path_t)
_core.svn_log_changed_path_t_swigregister(svn_log_changed_path_tPtr)

SVN_STREAM_CHUNK_SIZE = _core.SVN_STREAM_CHUNK_SIZE

svn_mime_type_validate = _core.svn_mime_type_validate

svn_mime_type_is_binary = _core.svn_mime_type_is_binary
class svn_lock_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_lock_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_lock_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_lock_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["path"] = _core.svn_lock_t_path_set
    __swig_getmethods__["path"] = _core.svn_lock_t_path_get
    if _newclass:path = property(_core.svn_lock_t_path_get, _core.svn_lock_t_path_set)
    __swig_setmethods__["token"] = _core.svn_lock_t_token_set
    __swig_getmethods__["token"] = _core.svn_lock_t_token_get
    if _newclass:token = property(_core.svn_lock_t_token_get, _core.svn_lock_t_token_set)
    __swig_setmethods__["owner"] = _core.svn_lock_t_owner_set
    __swig_getmethods__["owner"] = _core.svn_lock_t_owner_get
    if _newclass:owner = property(_core.svn_lock_t_owner_get, _core.svn_lock_t_owner_set)
    __swig_setmethods__["comment"] = _core.svn_lock_t_comment_set
    __swig_getmethods__["comment"] = _core.svn_lock_t_comment_get
    if _newclass:comment = property(_core.svn_lock_t_comment_get, _core.svn_lock_t_comment_set)
    __swig_setmethods__["is_dav_comment"] = _core.svn_lock_t_is_dav_comment_set
    __swig_getmethods__["is_dav_comment"] = _core.svn_lock_t_is_dav_comment_get
    if _newclass:is_dav_comment = property(_core.svn_lock_t_is_dav_comment_get, _core.svn_lock_t_is_dav_comment_set)
    __swig_setmethods__["creation_date"] = _core.svn_lock_t_creation_date_set
    __swig_getmethods__["creation_date"] = _core.svn_lock_t_creation_date_get
    if _newclass:creation_date = property(_core.svn_lock_t_creation_date_get, _core.svn_lock_t_creation_date_set)
    __swig_setmethods__["expiration_date"] = _core.svn_lock_t_expiration_date_set
    __swig_getmethods__["expiration_date"] = _core.svn_lock_t_expiration_date_get
    if _newclass:expiration_date = property(_core.svn_lock_t_expiration_date_get, _core.svn_lock_t_expiration_date_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_lock_t, 'this', _core.new_svn_lock_t(*args))
        _swig_setattr(self, svn_lock_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_lock_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_lock_tPtr(svn_lock_t):
    def __init__(self, this):
        _swig_setattr(self, svn_lock_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_lock_t, 'thisown', 0)
        _swig_setattr(self, svn_lock_t,self.__class__,svn_lock_t)
_core.svn_lock_t_swigregister(svn_lock_tPtr)


svn_lock_create = _core.svn_lock_create

svn_lock_dup = _core.svn_lock_dup
SWIG_SVN_INVALID_REVNUM = _core.SWIG_SVN_INVALID_REVNUM
SWIG_SVN_IGNORED_REVNUM = _core.SWIG_SVN_IGNORED_REVNUM

apr_initialize = _core.apr_initialize

apr_terminate = _core.apr_terminate

apr_time_ansi_put = _core.apr_time_ansi_put

apr_pool_destroy = _core.apr_pool_destroy

apr_pool_clear = _core.apr_pool_clear

apr_file_open_stdout = _core.apr_file_open_stdout

apr_file_open_stderr = _core.apr_file_open_stderr

svn_swig_py_exception_type = _core.svn_swig_py_exception_type
SVN_ALLOCATOR_RECOMMENDED_MAX_FREE = _core.SVN_ALLOCATOR_RECOMMENDED_MAX_FREE

svn_pool_create = _core.svn_pool_create
SVN_VER_MAJOR = _core.SVN_VER_MAJOR
SVN_VER_MINOR = _core.SVN_VER_MINOR
SVN_VER_PATCH = _core.SVN_VER_PATCH
SVN_VER_MICRO = _core.SVN_VER_MICRO
SVN_VER_LIBRARY = _core.SVN_VER_LIBRARY
SVN_VER_TAG = _core.SVN_VER_TAG
SVN_VER_NUMTAG = _core.SVN_VER_NUMTAG
SVN_VER_REVISION = _core.SVN_VER_REVISION
class svn_version_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_version_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_version_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_version_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["major"] = _core.svn_version_t_major_set
    __swig_getmethods__["major"] = _core.svn_version_t_major_get
    if _newclass:major = property(_core.svn_version_t_major_get, _core.svn_version_t_major_set)
    __swig_setmethods__["minor"] = _core.svn_version_t_minor_set
    __swig_getmethods__["minor"] = _core.svn_version_t_minor_get
    if _newclass:minor = property(_core.svn_version_t_minor_get, _core.svn_version_t_minor_set)
    __swig_setmethods__["patch"] = _core.svn_version_t_patch_set
    __swig_getmethods__["patch"] = _core.svn_version_t_patch_get
    if _newclass:patch = property(_core.svn_version_t_patch_get, _core.svn_version_t_patch_set)
    __swig_setmethods__["tag"] = _core.svn_version_t_tag_set
    __swig_getmethods__["tag"] = _core.svn_version_t_tag_get
    if _newclass:tag = property(_core.svn_version_t_tag_get, _core.svn_version_t_tag_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_version_t, 'this', _core.new_svn_version_t(*args))
        _swig_setattr(self, svn_version_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_version_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_version_tPtr(svn_version_t):
    def __init__(self, this):
        _swig_setattr(self, svn_version_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_version_t, 'thisown', 0)
        _swig_setattr(self, svn_version_t,self.__class__,svn_version_t)
_core.svn_version_t_swigregister(svn_version_tPtr)


svn_ver_compatible = _core.svn_ver_compatible

svn_ver_equal = _core.svn_ver_equal
class svn_version_checklist_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_version_checklist_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_version_checklist_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_version_checklist_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["label"] = _core.svn_version_checklist_t_label_set
    __swig_getmethods__["label"] = _core.svn_version_checklist_t_label_get
    if _newclass:label = property(_core.svn_version_checklist_t_label_get, _core.svn_version_checklist_t_label_set)
    __swig_setmethods__["version_query"] = _core.svn_version_checklist_t_version_query_set
    __swig_getmethods__["version_query"] = _core.svn_version_checklist_t_version_query_get
    if _newclass:version_query = property(_core.svn_version_checklist_t_version_query_get, _core.svn_version_checklist_t_version_query_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_version_checklist_t, 'this', _core.new_svn_version_checklist_t(*args))
        _swig_setattr(self, svn_version_checklist_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_version_checklist_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_version_checklist_tPtr(svn_version_checklist_t):
    def __init__(self, this):
        _swig_setattr(self, svn_version_checklist_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_version_checklist_t, 'thisown', 0)
        _swig_setattr(self, svn_version_checklist_t,self.__class__,svn_version_checklist_t)
_core.svn_version_checklist_t_swigregister(svn_version_checklist_tPtr)


svn_ver_check_list = _core.svn_ver_check_list

svn_subr_version = _core.svn_subr_version

svn_time_to_cstring = _core.svn_time_to_cstring

svn_time_from_cstring = _core.svn_time_from_cstring

svn_time_to_human_cstring = _core.svn_time_to_human_cstring

svn_parse_date = _core.svn_parse_date

svn_sleep_for_timestamps = _core.svn_sleep_for_timestamps
svn_prop_entry_kind = _core.svn_prop_entry_kind
svn_prop_wc_kind = _core.svn_prop_wc_kind
svn_prop_regular_kind = _core.svn_prop_regular_kind

svn_property_kind = _core.svn_property_kind

svn_prop_is_svn_prop = _core.svn_prop_is_svn_prop

svn_prop_needs_translation = _core.svn_prop_needs_translation

svn_categorize_props = _core.svn_categorize_props

svn_prop_diffs = _core.svn_prop_diffs
SVN_PROP_PREFIX = _core.SVN_PROP_PREFIX
SVN_PROP_MIME_TYPE = _core.SVN_PROP_MIME_TYPE
SVN_PROP_IGNORE = _core.SVN_PROP_IGNORE
SVN_PROP_EOL_STYLE = _core.SVN_PROP_EOL_STYLE
SVN_PROP_KEYWORDS = _core.SVN_PROP_KEYWORDS
SVN_PROP_EXECUTABLE = _core.SVN_PROP_EXECUTABLE
SVN_PROP_EXECUTABLE_VALUE = _core.SVN_PROP_EXECUTABLE_VALUE
SVN_PROP_NEEDS_LOCK = _core.SVN_PROP_NEEDS_LOCK
SVN_PROP_NEEDS_LOCK_VALUE = _core.SVN_PROP_NEEDS_LOCK_VALUE
SVN_PROP_SPECIAL = _core.SVN_PROP_SPECIAL
SVN_PROP_SPECIAL_VALUE = _core.SVN_PROP_SPECIAL_VALUE
SVN_PROP_EXTERNALS = _core.SVN_PROP_EXTERNALS
SVN_PROP_WC_PREFIX = _core.SVN_PROP_WC_PREFIX
SVN_PROP_ENTRY_PREFIX = _core.SVN_PROP_ENTRY_PREFIX
SVN_PROP_ENTRY_COMMITTED_REV = _core.SVN_PROP_ENTRY_COMMITTED_REV
SVN_PROP_ENTRY_COMMITTED_DATE = _core.SVN_PROP_ENTRY_COMMITTED_DATE
SVN_PROP_ENTRY_LAST_AUTHOR = _core.SVN_PROP_ENTRY_LAST_AUTHOR
SVN_PROP_ENTRY_UUID = _core.SVN_PROP_ENTRY_UUID
SVN_PROP_ENTRY_LOCK_TOKEN = _core.SVN_PROP_ENTRY_LOCK_TOKEN
SVN_PROP_CUSTOM_PREFIX = _core.SVN_PROP_CUSTOM_PREFIX
SVN_PROP_REVISION_AUTHOR = _core.SVN_PROP_REVISION_AUTHOR
SVN_PROP_REVISION_LOG = _core.SVN_PROP_REVISION_LOG
SVN_PROP_REVISION_DATE = _core.SVN_PROP_REVISION_DATE
SVN_PROP_REVISION_ORIG_DATE = _core.SVN_PROP_REVISION_ORIG_DATE
SVN_PROP_REVISION_AUTOVERSIONED = _core.SVN_PROP_REVISION_AUTOVERSIONED
SVN_OPT_MAX_ALIASES = _core.SVN_OPT_MAX_ALIASES
SVN_OPT_MAX_OPTIONS = _core.SVN_OPT_MAX_OPTIONS
SVN_OPT_FIRST_LONGOPT_ID = _core.SVN_OPT_FIRST_LONGOPT_ID
class svn_opt_subcommand_desc_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_opt_subcommand_desc_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_opt_subcommand_desc_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_opt_subcommand_desc_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["name"] = _core.svn_opt_subcommand_desc_t_name_set
    __swig_getmethods__["name"] = _core.svn_opt_subcommand_desc_t_name_get
    if _newclass:name = property(_core.svn_opt_subcommand_desc_t_name_get, _core.svn_opt_subcommand_desc_t_name_set)
    __swig_setmethods__["cmd_func"] = _core.svn_opt_subcommand_desc_t_cmd_func_set
    __swig_getmethods__["cmd_func"] = _core.svn_opt_subcommand_desc_t_cmd_func_get
    if _newclass:cmd_func = property(_core.svn_opt_subcommand_desc_t_cmd_func_get, _core.svn_opt_subcommand_desc_t_cmd_func_set)
    __swig_setmethods__["aliases"] = _core.svn_opt_subcommand_desc_t_aliases_set
    __swig_getmethods__["aliases"] = _core.svn_opt_subcommand_desc_t_aliases_get
    if _newclass:aliases = property(_core.svn_opt_subcommand_desc_t_aliases_get, _core.svn_opt_subcommand_desc_t_aliases_set)
    __swig_setmethods__["help"] = _core.svn_opt_subcommand_desc_t_help_set
    __swig_getmethods__["help"] = _core.svn_opt_subcommand_desc_t_help_get
    if _newclass:help = property(_core.svn_opt_subcommand_desc_t_help_get, _core.svn_opt_subcommand_desc_t_help_set)
    __swig_setmethods__["valid_options"] = _core.svn_opt_subcommand_desc_t_valid_options_set
    __swig_getmethods__["valid_options"] = _core.svn_opt_subcommand_desc_t_valid_options_get
    if _newclass:valid_options = property(_core.svn_opt_subcommand_desc_t_valid_options_get, _core.svn_opt_subcommand_desc_t_valid_options_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_opt_subcommand_desc_t, 'this', _core.new_svn_opt_subcommand_desc_t(*args))
        _swig_setattr(self, svn_opt_subcommand_desc_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_opt_subcommand_desc_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_opt_subcommand_desc_tPtr(svn_opt_subcommand_desc_t):
    def __init__(self, this):
        _swig_setattr(self, svn_opt_subcommand_desc_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_opt_subcommand_desc_t, 'thisown', 0)
        _swig_setattr(self, svn_opt_subcommand_desc_t,self.__class__,svn_opt_subcommand_desc_t)
_core.svn_opt_subcommand_desc_t_swigregister(svn_opt_subcommand_desc_tPtr)


svn_opt_get_canonical_subcommand = _core.svn_opt_get_canonical_subcommand

svn_opt_get_option_from_code = _core.svn_opt_get_option_from_code

svn_opt_subcommand_takes_option = _core.svn_opt_subcommand_takes_option

svn_opt_format_option = _core.svn_opt_format_option

svn_opt_subcommand_help = _core.svn_opt_subcommand_help
svn_opt_revision_unspecified = _core.svn_opt_revision_unspecified
svn_opt_revision_number = _core.svn_opt_revision_number
svn_opt_revision_date = _core.svn_opt_revision_date
svn_opt_revision_committed = _core.svn_opt_revision_committed
svn_opt_revision_previous = _core.svn_opt_revision_previous
svn_opt_revision_base = _core.svn_opt_revision_base
svn_opt_revision_working = _core.svn_opt_revision_working
svn_opt_revision_head = _core.svn_opt_revision_head
class svn_opt_revision_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_opt_revision_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_opt_revision_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_opt_revision_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["kind"] = _core.svn_opt_revision_t_kind_set
    __swig_getmethods__["kind"] = _core.svn_opt_revision_t_kind_get
    if _newclass:kind = property(_core.svn_opt_revision_t_kind_get, _core.svn_opt_revision_t_kind_set)
    __swig_getmethods__["value"] = _core.svn_opt_revision_t_value_get
    if _newclass:value = property(_core.svn_opt_revision_t_value_get)
    def __init__(self, *args):
        _swig_setattr(self, svn_opt_revision_t, 'this', _core.new_svn_opt_revision_t(*args))
        _swig_setattr(self, svn_opt_revision_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_opt_revision_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_opt_revision_tPtr(svn_opt_revision_t):
    def __init__(self, this):
        _swig_setattr(self, svn_opt_revision_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_opt_revision_t, 'thisown', 0)
        _swig_setattr(self, svn_opt_revision_t,self.__class__,svn_opt_revision_t)
_core.svn_opt_revision_t_swigregister(svn_opt_revision_tPtr)

class svn_opt_revision_t_value(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_opt_revision_t_value, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_opt_revision_t_value, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_opt_revision_t_value instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["number"] = _core.svn_opt_revision_t_value_number_set
    __swig_getmethods__["number"] = _core.svn_opt_revision_t_value_number_get
    if _newclass:number = property(_core.svn_opt_revision_t_value_number_get, _core.svn_opt_revision_t_value_number_set)
    __swig_setmethods__["date"] = _core.svn_opt_revision_t_value_date_set
    __swig_getmethods__["date"] = _core.svn_opt_revision_t_value_date_get
    if _newclass:date = property(_core.svn_opt_revision_t_value_date_get, _core.svn_opt_revision_t_value_date_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_opt_revision_t_value, 'this', _core.new_svn_opt_revision_t_value(*args))
        _swig_setattr(self, svn_opt_revision_t_value, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_opt_revision_t_value):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_opt_revision_t_valuePtr(svn_opt_revision_t_value):
    def __init__(self, this):
        _swig_setattr(self, svn_opt_revision_t_value, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_opt_revision_t_value, 'thisown', 0)
        _swig_setattr(self, svn_opt_revision_t_value,self.__class__,svn_opt_revision_t_value)
_core.svn_opt_revision_t_value_swigregister(svn_opt_revision_t_valuePtr)


svn_opt_parse_revision = _core.svn_opt_parse_revision

svn_opt_args_to_target_array2 = _core.svn_opt_args_to_target_array2

svn_opt_args_to_target_array = _core.svn_opt_args_to_target_array

svn_opt_push_implicit_dot_target = _core.svn_opt_push_implicit_dot_target

svn_opt_parse_num_args = _core.svn_opt_parse_num_args

svn_opt_parse_all_args = _core.svn_opt_parse_all_args

svn_opt_parse_path = _core.svn_opt_parse_path

svn_opt_print_help = _core.svn_opt_print_help
class svn_auth_provider_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_provider_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_provider_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_provider_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["cred_kind"] = _core.svn_auth_provider_t_cred_kind_set
    __swig_getmethods__["cred_kind"] = _core.svn_auth_provider_t_cred_kind_get
    if _newclass:cred_kind = property(_core.svn_auth_provider_t_cred_kind_get, _core.svn_auth_provider_t_cred_kind_set)
    __swig_setmethods__["first_credentials"] = _core.svn_auth_provider_t_first_credentials_set
    __swig_getmethods__["first_credentials"] = _core.svn_auth_provider_t_first_credentials_get
    if _newclass:first_credentials = property(_core.svn_auth_provider_t_first_credentials_get, _core.svn_auth_provider_t_first_credentials_set)
    __swig_setmethods__["next_credentials"] = _core.svn_auth_provider_t_next_credentials_set
    __swig_getmethods__["next_credentials"] = _core.svn_auth_provider_t_next_credentials_get
    if _newclass:next_credentials = property(_core.svn_auth_provider_t_next_credentials_get, _core.svn_auth_provider_t_next_credentials_set)
    __swig_setmethods__["save_credentials"] = _core.svn_auth_provider_t_save_credentials_set
    __swig_getmethods__["save_credentials"] = _core.svn_auth_provider_t_save_credentials_get
    if _newclass:save_credentials = property(_core.svn_auth_provider_t_save_credentials_get, _core.svn_auth_provider_t_save_credentials_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_provider_t, 'this', _core.new_svn_auth_provider_t(*args))
        _swig_setattr(self, svn_auth_provider_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_provider_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_provider_tPtr(svn_auth_provider_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_provider_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_provider_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_provider_t,self.__class__,svn_auth_provider_t)
_core.svn_auth_provider_t_swigregister(svn_auth_provider_tPtr)

class svn_auth_provider_object_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_provider_object_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_provider_object_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_provider_object_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["vtable"] = _core.svn_auth_provider_object_t_vtable_set
    __swig_getmethods__["vtable"] = _core.svn_auth_provider_object_t_vtable_get
    if _newclass:vtable = property(_core.svn_auth_provider_object_t_vtable_get, _core.svn_auth_provider_object_t_vtable_set)
    __swig_setmethods__["provider_baton"] = _core.svn_auth_provider_object_t_provider_baton_set
    __swig_getmethods__["provider_baton"] = _core.svn_auth_provider_object_t_provider_baton_get
    if _newclass:provider_baton = property(_core.svn_auth_provider_object_t_provider_baton_get, _core.svn_auth_provider_object_t_provider_baton_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_provider_object_t, 'this', _core.new_svn_auth_provider_object_t(*args))
        _swig_setattr(self, svn_auth_provider_object_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_provider_object_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_provider_object_tPtr(svn_auth_provider_object_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_provider_object_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_provider_object_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_provider_object_t,self.__class__,svn_auth_provider_object_t)
_core.svn_auth_provider_object_t_swigregister(svn_auth_provider_object_tPtr)

SVN_AUTH_CRED_SIMPLE = _core.SVN_AUTH_CRED_SIMPLE
class svn_auth_cred_simple_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_cred_simple_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_cred_simple_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_cred_simple_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["username"] = _core.svn_auth_cred_simple_t_username_set
    __swig_getmethods__["username"] = _core.svn_auth_cred_simple_t_username_get
    if _newclass:username = property(_core.svn_auth_cred_simple_t_username_get, _core.svn_auth_cred_simple_t_username_set)
    __swig_setmethods__["password"] = _core.svn_auth_cred_simple_t_password_set
    __swig_getmethods__["password"] = _core.svn_auth_cred_simple_t_password_get
    if _newclass:password = property(_core.svn_auth_cred_simple_t_password_get, _core.svn_auth_cred_simple_t_password_set)
    __swig_setmethods__["may_save"] = _core.svn_auth_cred_simple_t_may_save_set
    __swig_getmethods__["may_save"] = _core.svn_auth_cred_simple_t_may_save_get
    if _newclass:may_save = property(_core.svn_auth_cred_simple_t_may_save_get, _core.svn_auth_cred_simple_t_may_save_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_cred_simple_t, 'this', _core.new_svn_auth_cred_simple_t(*args))
        _swig_setattr(self, svn_auth_cred_simple_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_cred_simple_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_cred_simple_tPtr(svn_auth_cred_simple_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_cred_simple_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_cred_simple_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_cred_simple_t,self.__class__,svn_auth_cred_simple_t)
_core.svn_auth_cred_simple_t_swigregister(svn_auth_cred_simple_tPtr)

SVN_AUTH_CRED_USERNAME = _core.SVN_AUTH_CRED_USERNAME
class svn_auth_cred_username_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_cred_username_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_cred_username_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_cred_username_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["username"] = _core.svn_auth_cred_username_t_username_set
    __swig_getmethods__["username"] = _core.svn_auth_cred_username_t_username_get
    if _newclass:username = property(_core.svn_auth_cred_username_t_username_get, _core.svn_auth_cred_username_t_username_set)
    __swig_setmethods__["may_save"] = _core.svn_auth_cred_username_t_may_save_set
    __swig_getmethods__["may_save"] = _core.svn_auth_cred_username_t_may_save_get
    if _newclass:may_save = property(_core.svn_auth_cred_username_t_may_save_get, _core.svn_auth_cred_username_t_may_save_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_cred_username_t, 'this', _core.new_svn_auth_cred_username_t(*args))
        _swig_setattr(self, svn_auth_cred_username_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_cred_username_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_cred_username_tPtr(svn_auth_cred_username_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_cred_username_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_cred_username_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_cred_username_t,self.__class__,svn_auth_cred_username_t)
_core.svn_auth_cred_username_t_swigregister(svn_auth_cred_username_tPtr)

SVN_AUTH_CRED_SSL_CLIENT_CERT = _core.SVN_AUTH_CRED_SSL_CLIENT_CERT
class svn_auth_cred_ssl_client_cert_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_cred_ssl_client_cert_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_cred_ssl_client_cert_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_cred_ssl_client_cert_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["cert_file"] = _core.svn_auth_cred_ssl_client_cert_t_cert_file_set
    __swig_getmethods__["cert_file"] = _core.svn_auth_cred_ssl_client_cert_t_cert_file_get
    if _newclass:cert_file = property(_core.svn_auth_cred_ssl_client_cert_t_cert_file_get, _core.svn_auth_cred_ssl_client_cert_t_cert_file_set)
    __swig_setmethods__["may_save"] = _core.svn_auth_cred_ssl_client_cert_t_may_save_set
    __swig_getmethods__["may_save"] = _core.svn_auth_cred_ssl_client_cert_t_may_save_get
    if _newclass:may_save = property(_core.svn_auth_cred_ssl_client_cert_t_may_save_get, _core.svn_auth_cred_ssl_client_cert_t_may_save_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_t, 'this', _core.new_svn_auth_cred_ssl_client_cert_t(*args))
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_cred_ssl_client_cert_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_cred_ssl_client_cert_tPtr(svn_auth_cred_ssl_client_cert_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_cred_ssl_client_cert_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_t,self.__class__,svn_auth_cred_ssl_client_cert_t)
_core.svn_auth_cred_ssl_client_cert_t_swigregister(svn_auth_cred_ssl_client_cert_tPtr)

SVN_AUTH_CRED_SSL_CLIENT_CERT_PW = _core.SVN_AUTH_CRED_SSL_CLIENT_CERT_PW
class svn_auth_cred_ssl_client_cert_pw_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_cred_ssl_client_cert_pw_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_cred_ssl_client_cert_pw_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_cred_ssl_client_cert_pw_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["password"] = _core.svn_auth_cred_ssl_client_cert_pw_t_password_set
    __swig_getmethods__["password"] = _core.svn_auth_cred_ssl_client_cert_pw_t_password_get
    if _newclass:password = property(_core.svn_auth_cred_ssl_client_cert_pw_t_password_get, _core.svn_auth_cred_ssl_client_cert_pw_t_password_set)
    __swig_setmethods__["may_save"] = _core.svn_auth_cred_ssl_client_cert_pw_t_may_save_set
    __swig_getmethods__["may_save"] = _core.svn_auth_cred_ssl_client_cert_pw_t_may_save_get
    if _newclass:may_save = property(_core.svn_auth_cred_ssl_client_cert_pw_t_may_save_get, _core.svn_auth_cred_ssl_client_cert_pw_t_may_save_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_pw_t, 'this', _core.new_svn_auth_cred_ssl_client_cert_pw_t(*args))
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_pw_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_cred_ssl_client_cert_pw_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_cred_ssl_client_cert_pw_tPtr(svn_auth_cred_ssl_client_cert_pw_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_pw_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_cred_ssl_client_cert_pw_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_cred_ssl_client_cert_pw_t,self.__class__,svn_auth_cred_ssl_client_cert_pw_t)
_core.svn_auth_cred_ssl_client_cert_pw_t_swigregister(svn_auth_cred_ssl_client_cert_pw_tPtr)

SVN_AUTH_CRED_SSL_SERVER_TRUST = _core.SVN_AUTH_CRED_SSL_SERVER_TRUST
class svn_auth_ssl_server_cert_info_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_ssl_server_cert_info_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_ssl_server_cert_info_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_ssl_server_cert_info_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["hostname"] = _core.svn_auth_ssl_server_cert_info_t_hostname_set
    __swig_getmethods__["hostname"] = _core.svn_auth_ssl_server_cert_info_t_hostname_get
    if _newclass:hostname = property(_core.svn_auth_ssl_server_cert_info_t_hostname_get, _core.svn_auth_ssl_server_cert_info_t_hostname_set)
    __swig_setmethods__["fingerprint"] = _core.svn_auth_ssl_server_cert_info_t_fingerprint_set
    __swig_getmethods__["fingerprint"] = _core.svn_auth_ssl_server_cert_info_t_fingerprint_get
    if _newclass:fingerprint = property(_core.svn_auth_ssl_server_cert_info_t_fingerprint_get, _core.svn_auth_ssl_server_cert_info_t_fingerprint_set)
    __swig_setmethods__["valid_from"] = _core.svn_auth_ssl_server_cert_info_t_valid_from_set
    __swig_getmethods__["valid_from"] = _core.svn_auth_ssl_server_cert_info_t_valid_from_get
    if _newclass:valid_from = property(_core.svn_auth_ssl_server_cert_info_t_valid_from_get, _core.svn_auth_ssl_server_cert_info_t_valid_from_set)
    __swig_setmethods__["valid_until"] = _core.svn_auth_ssl_server_cert_info_t_valid_until_set
    __swig_getmethods__["valid_until"] = _core.svn_auth_ssl_server_cert_info_t_valid_until_get
    if _newclass:valid_until = property(_core.svn_auth_ssl_server_cert_info_t_valid_until_get, _core.svn_auth_ssl_server_cert_info_t_valid_until_set)
    __swig_setmethods__["issuer_dname"] = _core.svn_auth_ssl_server_cert_info_t_issuer_dname_set
    __swig_getmethods__["issuer_dname"] = _core.svn_auth_ssl_server_cert_info_t_issuer_dname_get
    if _newclass:issuer_dname = property(_core.svn_auth_ssl_server_cert_info_t_issuer_dname_get, _core.svn_auth_ssl_server_cert_info_t_issuer_dname_set)
    __swig_setmethods__["ascii_cert"] = _core.svn_auth_ssl_server_cert_info_t_ascii_cert_set
    __swig_getmethods__["ascii_cert"] = _core.svn_auth_ssl_server_cert_info_t_ascii_cert_get
    if _newclass:ascii_cert = property(_core.svn_auth_ssl_server_cert_info_t_ascii_cert_get, _core.svn_auth_ssl_server_cert_info_t_ascii_cert_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_ssl_server_cert_info_t, 'this', _core.new_svn_auth_ssl_server_cert_info_t(*args))
        _swig_setattr(self, svn_auth_ssl_server_cert_info_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_ssl_server_cert_info_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_ssl_server_cert_info_tPtr(svn_auth_ssl_server_cert_info_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_ssl_server_cert_info_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_ssl_server_cert_info_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_ssl_server_cert_info_t,self.__class__,svn_auth_ssl_server_cert_info_t)
_core.svn_auth_ssl_server_cert_info_t_swigregister(svn_auth_ssl_server_cert_info_tPtr)

class svn_auth_cred_ssl_server_trust_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_auth_cred_ssl_server_trust_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_auth_cred_ssl_server_trust_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_auth_cred_ssl_server_trust_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["may_save"] = _core.svn_auth_cred_ssl_server_trust_t_may_save_set
    __swig_getmethods__["may_save"] = _core.svn_auth_cred_ssl_server_trust_t_may_save_get
    if _newclass:may_save = property(_core.svn_auth_cred_ssl_server_trust_t_may_save_get, _core.svn_auth_cred_ssl_server_trust_t_may_save_set)
    __swig_setmethods__["accepted_failures"] = _core.svn_auth_cred_ssl_server_trust_t_accepted_failures_set
    __swig_getmethods__["accepted_failures"] = _core.svn_auth_cred_ssl_server_trust_t_accepted_failures_get
    if _newclass:accepted_failures = property(_core.svn_auth_cred_ssl_server_trust_t_accepted_failures_get, _core.svn_auth_cred_ssl_server_trust_t_accepted_failures_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_auth_cred_ssl_server_trust_t, 'this', _core.new_svn_auth_cred_ssl_server_trust_t(*args))
        _swig_setattr(self, svn_auth_cred_ssl_server_trust_t, 'thisown', 1)
    def __del__(self, destroy=_core.delete_svn_auth_cred_ssl_server_trust_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_auth_cred_ssl_server_trust_tPtr(svn_auth_cred_ssl_server_trust_t):
    def __init__(self, this):
        _swig_setattr(self, svn_auth_cred_ssl_server_trust_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_auth_cred_ssl_server_trust_t, 'thisown', 0)
        _swig_setattr(self, svn_auth_cred_ssl_server_trust_t,self.__class__,svn_auth_cred_ssl_server_trust_t)
_core.svn_auth_cred_ssl_server_trust_t_swigregister(svn_auth_cred_ssl_server_trust_tPtr)

SVN_AUTH_SSL_NOTYETVALID = _core.SVN_AUTH_SSL_NOTYETVALID
SVN_AUTH_SSL_EXPIRED = _core.SVN_AUTH_SSL_EXPIRED
SVN_AUTH_SSL_CNMISMATCH = _core.SVN_AUTH_SSL_CNMISMATCH
SVN_AUTH_SSL_UNKNOWNCA = _core.SVN_AUTH_SSL_UNKNOWNCA
SVN_AUTH_SSL_OTHER = _core.SVN_AUTH_SSL_OTHER

svn_auth_open = _core.svn_auth_open

svn_auth_set_parameter = _core.svn_auth_set_parameter
SVN_AUTH_PARAM_PREFIX = _core.SVN_AUTH_PARAM_PREFIX
SVN_AUTH_PARAM_DEFAULT_USERNAME = _core.SVN_AUTH_PARAM_DEFAULT_USERNAME
SVN_AUTH_PARAM_DEFAULT_PASSWORD = _core.SVN_AUTH_PARAM_DEFAULT_PASSWORD
SVN_AUTH_PARAM_NON_INTERACTIVE = _core.SVN_AUTH_PARAM_NON_INTERACTIVE
SVN_AUTH_PARAM_DONT_STORE_PASSWORDS = _core.SVN_AUTH_PARAM_DONT_STORE_PASSWORDS
SVN_AUTH_PARAM_NO_AUTH_CACHE = _core.SVN_AUTH_PARAM_NO_AUTH_CACHE
SVN_AUTH_PARAM_SSL_SERVER_FAILURES = _core.SVN_AUTH_PARAM_SSL_SERVER_FAILURES
SVN_AUTH_PARAM_SSL_SERVER_CERT_INFO = _core.SVN_AUTH_PARAM_SSL_SERVER_CERT_INFO
SVN_AUTH_PARAM_CONFIG = _core.SVN_AUTH_PARAM_CONFIG
SVN_AUTH_PARAM_SERVER_GROUP = _core.SVN_AUTH_PARAM_SERVER_GROUP
SVN_AUTH_PARAM_CONFIG_DIR = _core.SVN_AUTH_PARAM_CONFIG_DIR

svn_auth_first_credentials = _core.svn_auth_first_credentials

svn_auth_next_credentials = _core.svn_auth_next_credentials

svn_auth_save_credentials = _core.svn_auth_save_credentials
SVN_CONFIG_CATEGORY_SERVERS = _core.SVN_CONFIG_CATEGORY_SERVERS
SVN_CONFIG_SECTION_GROUPS = _core.SVN_CONFIG_SECTION_GROUPS
SVN_CONFIG_SECTION_GLOBAL = _core.SVN_CONFIG_SECTION_GLOBAL
SVN_CONFIG_OPTION_HTTP_PROXY_HOST = _core.SVN_CONFIG_OPTION_HTTP_PROXY_HOST
SVN_CONFIG_OPTION_HTTP_PROXY_PORT = _core.SVN_CONFIG_OPTION_HTTP_PROXY_PORT
SVN_CONFIG_OPTION_HTTP_PROXY_USERNAME = _core.SVN_CONFIG_OPTION_HTTP_PROXY_USERNAME
SVN_CONFIG_OPTION_HTTP_PROXY_PASSWORD = _core.SVN_CONFIG_OPTION_HTTP_PROXY_PASSWORD
SVN_CONFIG_OPTION_HTTP_PROXY_EXCEPTIONS = _core.SVN_CONFIG_OPTION_HTTP_PROXY_EXCEPTIONS
SVN_CONFIG_OPTION_HTTP_TIMEOUT = _core.SVN_CONFIG_OPTION_HTTP_TIMEOUT
SVN_CONFIG_OPTION_HTTP_COMPRESSION = _core.SVN_CONFIG_OPTION_HTTP_COMPRESSION
SVN_CONFIG_OPTION_NEON_DEBUG_MASK = _core.SVN_CONFIG_OPTION_NEON_DEBUG_MASK
SVN_CONFIG_OPTION_SSL_AUTHORITY_FILES = _core.SVN_CONFIG_OPTION_SSL_AUTHORITY_FILES
SVN_CONFIG_OPTION_SSL_TRUST_DEFAULT_CA = _core.SVN_CONFIG_OPTION_SSL_TRUST_DEFAULT_CA
SVN_CONFIG_OPTION_SSL_CLIENT_CERT_FILE = _core.SVN_CONFIG_OPTION_SSL_CLIENT_CERT_FILE
SVN_CONFIG_OPTION_SSL_CLIENT_CERT_PASSWORD = _core.SVN_CONFIG_OPTION_SSL_CLIENT_CERT_PASSWORD
SVN_CONFIG_CATEGORY_CONFIG = _core.SVN_CONFIG_CATEGORY_CONFIG
SVN_CONFIG_SECTION_AUTH = _core.SVN_CONFIG_SECTION_AUTH
SVN_CONFIG_OPTION_STORE_PASSWORDS = _core.SVN_CONFIG_OPTION_STORE_PASSWORDS
SVN_CONFIG_OPTION_STORE_AUTH_CREDS = _core.SVN_CONFIG_OPTION_STORE_AUTH_CREDS
SVN_CONFIG_SECTION_HELPERS = _core.SVN_CONFIG_SECTION_HELPERS
SVN_CONFIG_OPTION_EDITOR_CMD = _core.SVN_CONFIG_OPTION_EDITOR_CMD
SVN_CONFIG_OPTION_DIFF_CMD = _core.SVN_CONFIG_OPTION_DIFF_CMD
SVN_CONFIG_OPTION_DIFF3_CMD = _core.SVN_CONFIG_OPTION_DIFF3_CMD
SVN_CONFIG_OPTION_DIFF3_HAS_PROGRAM_ARG = _core.SVN_CONFIG_OPTION_DIFF3_HAS_PROGRAM_ARG
SVN_CONFIG_SECTION_MISCELLANY = _core.SVN_CONFIG_SECTION_MISCELLANY
SVN_CONFIG_OPTION_GLOBAL_IGNORES = _core.SVN_CONFIG_OPTION_GLOBAL_IGNORES
SVN_CONFIG_OPTION_LOG_ENCODING = _core.SVN_CONFIG_OPTION_LOG_ENCODING
SVN_CONFIG_OPTION_USE_COMMIT_TIMES = _core.SVN_CONFIG_OPTION_USE_COMMIT_TIMES
SVN_CONFIG_OPTION_TEMPLATE_ROOT = _core.SVN_CONFIG_OPTION_TEMPLATE_ROOT
SVN_CONFIG_OPTION_ENABLE_AUTO_PROPS = _core.SVN_CONFIG_OPTION_ENABLE_AUTO_PROPS
SVN_CONFIG_OPTION_NO_UNLOCK = _core.SVN_CONFIG_OPTION_NO_UNLOCK
SVN_CONFIG_SECTION_TUNNELS = _core.SVN_CONFIG_SECTION_TUNNELS
SVN_CONFIG_SECTION_AUTO_PROPS = _core.SVN_CONFIG_SECTION_AUTO_PROPS
SVN_CONFIG_SECTION_GENERAL = _core.SVN_CONFIG_SECTION_GENERAL
SVN_CONFIG_OPTION_ANON_ACCESS = _core.SVN_CONFIG_OPTION_ANON_ACCESS
SVN_CONFIG_OPTION_AUTH_ACCESS = _core.SVN_CONFIG_OPTION_AUTH_ACCESS
SVN_CONFIG_OPTION_PASSWORD_DB = _core.SVN_CONFIG_OPTION_PASSWORD_DB
SVN_CONFIG_OPTION_REALM = _core.SVN_CONFIG_OPTION_REALM
SVN_CONFIG_SECTION_USERS = _core.SVN_CONFIG_SECTION_USERS
SVN_CONFIG_DEFAULT_GLOBAL_IGNORES = _core.SVN_CONFIG_DEFAULT_GLOBAL_IGNORES
SVN_CONFIG_TRUE = _core.SVN_CONFIG_TRUE
SVN_CONFIG_FALSE = _core.SVN_CONFIG_FALSE

svn_config_get_config = _core.svn_config_get_config

svn_config_read = _core.svn_config_read

svn_config_merge = _core.svn_config_merge

svn_config_get = _core.svn_config_get

svn_config_set = _core.svn_config_set

svn_config_get_bool = _core.svn_config_get_bool

svn_config_set_bool = _core.svn_config_set_bool

svn_config_enumerate_sections = _core.svn_config_enumerate_sections

svn_config_enumerate = _core.svn_config_enumerate

svn_config_find_group = _core.svn_config_find_group

svn_config_get_server_setting = _core.svn_config_get_server_setting

svn_config_get_server_setting_int = _core.svn_config_get_server_setting_int

svn_config_ensure = _core.svn_config_ensure
SVN_CONFIG_REALMSTRING_KEY = _core.SVN_CONFIG_REALMSTRING_KEY

svn_config_read_auth_data = _core.svn_config_read_auth_data

svn_config_write_auth_data = _core.svn_config_write_auth_data

svn_utf_initialize = _core.svn_utf_initialize

svn_utf_stringbuf_to_utf8 = _core.svn_utf_stringbuf_to_utf8

svn_utf_string_to_utf8 = _core.svn_utf_string_to_utf8

svn_utf_cstring_to_utf8 = _core.svn_utf_cstring_to_utf8

svn_utf_cstring_to_utf8_ex = _core.svn_utf_cstring_to_utf8_ex

svn_utf_stringbuf_from_utf8 = _core.svn_utf_stringbuf_from_utf8

svn_utf_string_from_utf8 = _core.svn_utf_string_from_utf8

svn_utf_cstring_from_utf8 = _core.svn_utf_cstring_from_utf8

svn_utf_cstring_from_utf8_ex = _core.svn_utf_cstring_from_utf8_ex

svn_utf_cstring_from_utf8_fuzzy = _core.svn_utf_cstring_from_utf8_fuzzy

svn_utf_cstring_from_utf8_stringbuf = _core.svn_utf_cstring_from_utf8_stringbuf

svn_utf_cstring_from_utf8_string = _core.svn_utf_cstring_from_utf8_string

svn_io_open_unique_file = _core.svn_io_open_unique_file

svn_io_set_file_read_write_carefully = _core.svn_io_set_file_read_write_carefully

svn_io_file_checksum = _core.svn_io_file_checksum

svn_io_files_contents_same_p = _core.svn_io_files_contents_same_p

svn_stream_empty = _core.svn_stream_empty

svn_stream_from_aprfile = _core.svn_stream_from_aprfile

svn_stream_for_stdout = _core.svn_stream_for_stdout

svn_stream_from_stringbuf = _core.svn_stream_from_stringbuf

svn_stream_compressed = _core.svn_stream_compressed

svn_stream_read = _core.svn_stream_read

svn_stream_write = _core.svn_stream_write

svn_stream_close = _core.svn_stream_close

svn_stream_readline = _core.svn_stream_readline

svn_stream_copy = _core.svn_stream_copy

svn_stringbuf_from_file = _core.svn_stringbuf_from_file

svn_stringbuf_from_aprfile = _core.svn_stringbuf_from_aprfile

svn_io_detect_mimetype = _core.svn_io_detect_mimetype
SubversionException = _core.SubversionException


